Bug Hunting Session
Bug 60557 - EDITING - Insert-Envelope dialog's Printer tab - Envelope orientation icons seem to be incorrect
Summary: EDITING - Insert-Envelope dialog's Printer tab - Envelope orientation icons s...
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.3 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsDevAdvice
Depends on:
Blocks: Envelope
  Show dependency treegraph
 
Reported: 2013-02-09 19:56 UTC by rj_libreoffice
Modified: 2017-08-30 19:31 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
Unedited and Edited .jpgs of the Insert-Envelope dialog's Printer tab (136.13 KB, image/jpeg)
2013-02-09 19:56 UTC, rj_libreoffice
Details
Unedited .jpg of the Insert-Envelope dialog's Printer tab (132.43 KB, image/jpeg)
2013-02-09 19:59 UTC, rj_libreoffice
Details
Edited .jpg of the Insert-Envelope dialog's Printer tab (136.13 KB, image/jpeg)
2013-02-09 20:00 UTC, rj_libreoffice
Details
Sample Small Envelope (9.63 KB, application/vnd.oasis.opendocument.text)
2013-02-14 20:58 UTC, rj_libreoffice
Details
.jpg of Envelope printed using Sample Small Envelope.odt (12.16 KB, image/jpeg)
2013-02-15 19:23 UTC, rj_libreoffice
Details

Note You need to log in before you can comment on or make changes to this bug.
Description rj_libreoffice 2013-02-09 19:56:46 UTC
Created attachment 74502 [details]
Unedited and Edited .jpgs of the Insert-Envelope dialog's Printer tab

Select Insert->Envelope from Writer's main menu.
Go the the dialog's Printer tab.

Note that on that tab, the 4th thru 6th Envelope orientation icons seem to be incorrect; each of them needs to be flipped horizontally.

To show you what I mean, I have attached 2 documents:
1. Envelope Orientation - Unedited.jpg	Shows this dialogs's Printer tab, as it is.
2. Envelope Orienation - Edited.jpq	Shows this dialog's Printer tab, as it is, except with flipped versions of the 4th through 6th icons shown to the right of the unmodified set of 6 icons.
Comment 1 rj_libreoffice 2013-02-09 19:59:33 UTC
Created attachment 74503 [details]
Unedited .jpg of the Insert-Envelope dialog's Printer tab
Comment 2 rj_libreoffice 2013-02-09 20:00:25 UTC
Created attachment 74504 [details]
Edited .jpg of the Insert-Envelope dialog's Printer tab
Comment 3 bfoman (inactive) 2013-02-11 10:45:06 UTC
Edited Summary.
Comment 4 rj_libreoffice 2013-02-14 20:58:58 UTC
Created attachment 74844 [details]
Sample Small Envelope

Here is a sample small envelope, which does NOT print properly in LibreOffice Writer.
(Note that if I use Lotus Symphony to create a similar one, I can print that OK from within Lotus Symphony.)
(Also note that Commercial #10 envelopes do print properly in LibreOffice.)
Comment 5 rj_libreoffice 2013-02-14 21:03:47 UTC
Here are the steps I used to create the sample small envelope document:

Open LibreOffice Writer
Menu: Format->Page
		Format: 6-3/4" (Personal) Envelope	{6.50" x 3.63"}
		Orientation: Landscape
		Paper tray: Rear Tray
		Margins: 0.25", 0.25", 0.25", 0.25"
	<OK>

Menu: Insert->Envelope
		Addressee: "Addressee"
		Sender: "Sender"
	<Printer> tab
		Select 4th icon
		Print from top
		Current printer: Canon MX860 series Printer

Needed to redo Format->Page

Needed to move Sender and Addressee text boxes into position

File->Printer Settings:
	Page size: Custom: 6.50" x 3.63
	Orientation: Landscape
	Media Type: Envelope
	Paper Source: Rear Tray
	
Needed to reset Orientation in Print dialog
Comment 6 rj_libreoffice 2013-02-15 19:23:43 UTC
Created attachment 74903 [details]
.jpg of Envelope printed using Sample Small Envelope.odt
Comment 7 sophie 2014-08-07 12:20:56 UTC
Hi, so the problem is with the icon orientations or printing? Which version of LibreOffice are you using? Thanks - Sophie
Comment 8 rj_libreoffice 2014-08-25 22:41:38 UTC
(In reply to comment #7)
> Hi, so the problem is with the icon orientations or printing? Which version
> of LibreOffice are you using? Thanks - Sophie

Sophie,

There appears to be a problem with the printing.

I found a workaround.

If I do:
     Insert->Envelope icon #1.
     Format->Page 6-3/4 Envelope (6.5" x 3.63")
Comment 9 rj_libreoffice 2014-08-25 22:48:38 UTC
(In reply to comment #7)
> Hi, so the problem is with the icon orientations or printing? Which version
> of LibreOffice are you using? Thanks - Sophie

Sophie,

There appears to be a problem with the printing.

I found a workaround, though.

If I do:
     Insert->Envelope: Icon #1.
     Format->Page: 6-3/4 Envelope (6.5" x 3.63"), Landscape
     Print->Printer Setup: 6.5" x 3.63"), Portrait, Rotate 180 degrees
     Insert the envelope with the top of the envelope facing the front of the printer.
     (Instead of with the top of the envelope facing the left of the printer, as with a standard size envelope.)

Then this prints OK.

Specifying "Landscape" for Format->Page, but "Portrait" for Printer Setup seems rather odd.

Maybe it's something unique to our printer (a Canon PIXMA MX860).
Comment 10 tommy27 2014-10-27 19:59:32 UTC
@rj
is the bug still reproducible with LibO 4.3.2.2?
are you still using that Canon printer? have you ever tried a different printer?
Comment 11 rj_libreoffice 2014-11-06 20:04:57 UTC
(In reply to tommy27 from comment #10)
> @rj
> is the bug still reproducible with LibO 4.3.2.2?
> are you still using that Canon printer? have you ever tried a different
> printer?

Yes, it's still reproducible with LO 4.3.2.2.

The Canon's the only printer I tried it with.

I tried opening the file in Microsoft Office Starter 2010 (comes free with Windows 7 Home edition, 64-bit), and it gives an error saying that the file is corrupt.

However, I am then able (from within MS Office Starter 2010) to save the .odt file as a .docx file and then (from within MS Office Starter 2010) print the envelope fine.
Comment 12 rj_libreoffice 2014-11-06 20:19:14 UTC
(In reply to rj_libreoffice from comment #11)
> (In reply to tommy27 from comment #10)
> > @rj
> > is the bug still reproducible with LibO 4.3.2.2?
> > are you still using that Canon printer? have you ever tried a different
> > printer?
> 
> Yes, it's still reproducible with LO 4.3.2.2.
> 
> The Canon's the only printer I tried it with.
> 
> I tried opening the file in Microsoft Office Starter 2010 (comes free with
> Windows 7 Home edition, 64-bit), and it gives an error saying that the file
> is corrupt.
> 
> However, I am then able to save the
> .odt file as a .docx file and then (from within MS Office Starter 2010)
> print the envelope fine.

I should have said:

However, (from within MS Office Starter 2010) I am able to:
1. Recover the .odt file, and then
2. Either:
 A. Print the envelope fine from the recovered.odt file.
 B. Save the recovered .odt file as a .docx file and print the envelope fine from this .odt file.

So, since MS Word Starter 2010 can print the envelope fine from within either the recovered .odt file OR the .docx file created from it,
it would seem that the problem is with LO's printing rather than with the 
formatting or the printer driver.




Since this recovered file
Comment 13 rj_libreoffice 2014-11-06 20:32:45 UTC
(In reply to rj_libreoffice from comment #12)
> (In reply to rj_libreoffice from comment #11)
> > (In reply to tommy27 from comment #10)
> > > @rj
> > > is the bug still reproducible with LibO 4.3.2.2?
> > > are you still using that Canon printer? have you ever tried a different
> > > printer?
> > 
> > Yes, it's still reproducible with LO 4.3.2.2.
> > 
> > The Canon's the only printer I tried it with.
> > 
> > I tried opening the file in Microsoft Office Starter 2010 (comes free with
> > Windows 7 Home edition, 64-bit), and it gives an error saying that the file
> > is corrupt.
> > 
> > However, I am then able to save the
> > .odt file as a .docx file and then (from within MS Office Starter 2010)
> > print the envelope fine.
> 
> I should have said:
> 
> However, (from within MS Office Starter 2010) I am able to:
> 1. Recover the .odt file, and then
> 2. Either:
>  A. Print the envelope fine from the recovered.odt file.
>  B. Save the recovered .odt file as a .docx file and print the envelope fine
> from this .odt file.
> 
> So, since MS Word Starter 2010 can print the envelope fine from within
> either the recovered .odt file OR the .docx file created from it,
> it would seem that the problem is with LO's printing rather than with the 
> formatting or the printer driver.
> 
> 
> 

LO 3.3.3.2 doesn't work either.
Comment 14 tommy27 2016-12-21 15:35:44 UTC
please give an update of the bug status with latest LibO 5.2.3.3

set status to UNCONFIRMED if bug is still present or RESOLVED WORKSFORME if bug is gone.

NEEDINFO until then
Comment 15 rj_libreoffice 2016-12-24 20:23:09 UTC
This Issue still exists in Version 5.2.4.2., except that I no longer need to reset the Orientation (to Landscape) in the Print dialog.
Comment 16 Buovjaga 2017-01-02 14:16:18 UTC
The Canon-specific mentions in the summary and whiteboard of this report is a red herring.

The Insert Envelope process is such a trainwreck that I could not even produce a proper document. My result was a document with two pages (separated by a page break). The first page has the Sender and Addressee frames sunk to the bottom. This is after doing the steps in comment 5 up to and including redoing Format - Page.

If I go to print dialog, I only get "Letter" as the size. I guess I am hitting some other bug there.

This report is perhaps spread over too many comments and it would be hard for a developer to figure out the point of it. I think the Insert Envelope feature needs a sledgehammer treatment to get it in shape.
Comment 17 tommy27 2017-01-07 20:47:58 UTC
should we mark this as NEW or try to write a brand new clean bug report about the current status of this issue?
Comment 18 rj_libreoffice 2017-01-14 19:59:53 UTC
@tommy 27 said:
> should we mark this as NEW or try to write a brand new clean bug report about the current status of this issue?

Please go ahead and write a brand new clean bug report about the current status of this issue. You know better than I do what's most relevant about this.

Thanks.
Comment 19 tommy27 2017-01-14 20:15:47 UTC
I don't know better than you since I've never reproduced this bug.
Comment 20 tommy27 2017-01-19 15:33:34 UTC
so it's up to you, the reporter, to open a new one with just the relevant informations in order to help triagers and developers to reproduce and fix your issue.

status NEEDINFO until then.
when you do it, change status here to MOVED and post a message with the link to the new bug report.

thanks for your help
Comment 21 QA Administrators 2017-07-27 12:06:23 UTC Comment hidden (obsolete)
Comment 22 QA Administrators 2017-08-30 19:31:34 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-20170830